Subject: RE: [Ltru] Normative vs Informative references

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 18 Mar 2005 11:33:03 -0800

Hi Randy,

What I meant to say is if the section does include references
and they are all informative, then that section is most likely
informative (your example of MUST language is interesting, but
if there's no normative source, it seems questionable, unless
it's part of a whole new protocol feature).

Re whether a given reference is normative or informative, neither
the IESG standards process (nor any other I've ever seen) allows
this hair-splitting.  If ANY reference to a given source document
is Normative, then they ALL must be Normative, or hand-waving is
being used.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Randy Presuhn
Sent: Friday, March 18, 2005 2:18 PM
To: [email-masked]
Subject: Re: [Ltru] Normative vs Informative references

Hi -

(as a technical contributor)

> From: "McDonald, Ira" <[email-masked]>
> To: "'Scott Hollenbeck'" <[email-masked]>; "'Frank Ellermann'"
<[email-masked]>; <[email-masked]>
> Sent: Friday, March 18, 2005 10:33 AM
> Subject: [Ltru] Normative vs Informative references
...
> Separating references has a more important impact - it makes
> clear where the main body text should have a section labelled
> something like '4.2 Blazzle (Informative)', because all of the
> dependencies are informative.

Although I agree that informative sections of material benefit
from being clearly labeled, one cannot use the absence of
normative references in a section to characterize that section
as non-normative.

For example, a section could read:

Implementations MUST do X in situation Y.  For an explanation
of why this is required, see the analysis in section Z of
[unrelated-protocol-informative-reference].

This would be perfectly good normative material, with a perfectly
good informative reference.

> Also, the list of normative references should stay short!

If possible.

...
> PS - If other working group members contribute text, please
> specify the references as normative or informative right then.
...

Good suggestion.  Note however, that some references to a particular
specification might be informative, and others normative.  If *any* of
the references to a specification are normative, then it goes into the
normative references section.

Randy

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 18 Mar 2005 11:52:55 -0800

Hi -

> To: "'Randy Presuhn'" <[email-masked]>; <[email-masked]>
> Sent: Friday, March 18, 2005 11:33 AM
> Subject: RE: [Ltru] Normative vs Informative references
...
> it's part of a whole new protocol feature).

That's precisely the point.  Context, along with the nature of the
cited material, determines whether a given citation of a
reference is normative or not.

...

Refutation by counter-example, at risk of spinning wildly off-topic for this list:

Take a look at RFC 3417 section 5.3.3:

   An NBP name to DDP address mapping can also be confirmed implicitly
   using only SNMP transactions.  For example, an SNMP entity supporting
   command generator applications issuing a retrieval operation could
   also retrieve the relevant objects from the NBP group [RFC1742] for
   the SNMP entity supporting the command responder application.  This
   information can then be correlated with the source DDP address of the
   response.

This is an *informative* citation, since it is used only as an example of
how to do something, even though it's in the midst of normative material.
If, elsewhere in the document, there were a normative citation, saying
that for some other operation on MUST access the NBP group, this
particular citation would still be informative, even though the reference
itself would have to be listed as normative.

"For example" means just that, even if the citation is of material that
appears in a document listed (for other reasons) among the normative
references.

Randy